# DescribeDomainCaches

## 1. API Description

This interface is used to query the cache policy for an accelerated domain.

{% hint style="info" %}
**Note**

* This is an asynchronous interface. After a successful response from this interface, the creation of the accelerated domain operation is not immediately complete. During this period, the status of the accelerated domain will be `Deploying`. You can query the status of the accelerated domain by calling the `DescribeCdnDomains` interface. If the accelerated domain status (domainStatus) changes from `Deploying` (deploying) to `Deployed` (deployment successful), it means the deployment was successful; `Failed` indicates a configuration failure.
  {% endhint %}

## 2. Request Parameters

The following request parameters are required by the interface:

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain ID |

## 3. Output Parameters

| Parameter Name | Type      | Description                                                                                              |
| -------------- | --------- | -------------------------------------------------------------------------------------------------------- |
| requestId      | String    | Unique request ID. This ID is returned with every request and is needed for troubleshooting.             |
| caches         | CacheInfo | Array of [CacheInfo](https://docs.console.zenlayer.com/api-reference/networking/datastructure#cacheinfo) |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Accelerated Domain Cache Policy**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainCaches
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "caches": [{
            "cacheId": "cacheIdxxxxxx",
            "cacheType": "FILE",
            "cacheTime": 7,
            "timeUnit": "SECONDS",
            "priority": 99,
            "content": "txt|css|js",
            "directory": ""
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |
